#include<bits/stdc++.h>
using namespace std;
int T,N;
int niz1[30008];
int niz2[30008];
int main(){
    scanf("%d",&T);
    while(T-->0){
        scanf("%d",&N);
        for(int i=0;i<N;i++)
            scanf("%d",niz1+i);
        for(int i=0;i<N;i++)
            scanf("%d",niz2+i);
        bool ispis=false;
        for(int i=N-1;i>=0;i--){
            int indeks=0;
            while(abs(niz1[indeks])!=abs(niz2[i])) indeks++;
            while(niz1[i]!=niz2[i]){
                if(indeks>=i) break;
                swap(niz1[indeks],niz1[indeks+1]);
                niz1[indeks]*=-1;
                niz1[indeks+1]*=-1;
                indeks++;
            }
            if(niz1[i]!=niz2[i]){
                printf("NE\n");
                ispis=true;
                break;
            }
        }
        if(!ispis) printf("DA\n");
    }
    return 0;
}